{ lib, buildNimPackage, fetchFromGitea, fetchFromGitHub, syndicate }:

buildNimPackage rec {
  pname = "syndicate_utils";
  version = "20230410";

  src = fetchFromGitea {
    domain = "git.syndicate-lang.org";
    owner = "ehmry";
    repo = pname;
    rev = version;
    hash = "sha256-Av7C5sCsWhXJbxzoDEN10wy4YCnAezm2829R+FuZvzk=";
  };

  propagatedBuildInputs = [ syndicate ];

  meta = src.meta // {
    maintainers = [ lib.maintainers.ehmry ];
    license = lib.licenses.unlicense;
  };
}
